MediaWiki:Common.css

Aus CMO

Hinweis: Leere nach dem Veröffentlichen den Browser-Cache, um die Änderungen sehen zu können.

  • Firefox/Safari: Umschalttaste drücken und gleichzeitig Aktualisieren anklicken oder entweder Strg+F5 oder Strg+R (⌘+R auf dem Mac) drücken
  • Google Chrome: Umschalttaste+Strg+R (⌘+Umschalttaste+R auf dem Mac) drücken
  • Edge: Strg+F5 drücken oder Strg drücken und gleichzeitig Aktualisieren anklicken
/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */

/*Verindert das Anzeigen des Inhaltsverzeichnisses, das Inhalrsverzeichnis existiert aber noch für barrierefreiheit */
.mw-parser-output .toc { display: none; }

/* Zweizeilige Tabelle mit Rahmen */
.mw-parser-output .tabelle-zweizeilig {
  width: 90%;               
  margin: 1em auto;
  border-collapse: collapse;
  text-align: center;
  border: 1px solid #aaa;
}

.mw-parser-output .tabelle-zweizeilig td,
.mw-parser-output .tabelle-zweizeilig th {
  border: 1px solid #aaa;
  padding: .5em;
}

/* obere Zeile */
.mw-parser-output .tabelle-zweizeilig tr:first-child td,
.mw-parser-output .tabelle-zweizeilig tr:first-child th {
  background: #f2f2f2;
  font-size: 90%;
}

/* untere Zeile */
.mw-parser-output .tabelle-zweizeilig tr:last-child td,
.mw-parser-output .tabelle-zweizeilig tr:last-child th {
  font-size: 80%;
}

/* Mobil: volle Breite + kleinere Schrift + kompakteres Padding */
@media (max-width: 600px) {
  .mw-parser-output .tabelle-zweizeilig {
    width: 100%;
  }
  .mw-parser-output .tabelle-zweizeilig td,
  .mw-parser-output .tabelle-zweizeilig th {
    padding: .25em; /* halbiertes Padding */
  }
  .mw-parser-output .tabelle-zweizeilig tr:first-child td,
  .mw-parser-output .tabelle-zweizeilig tr:first-child th {
    font-size: 80%;
  }
  .mw-parser-output .tabelle-zweizeilig tr:last-child td,
  .mw-parser-output .tabelle-zweizeilig tr:last-child th {
    font-size: 70%;
  }
}